🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Western House Report

The API general_house_report/tropical/:planetName provides a personalized astrological house report based on the tropical zodiac for the specified planet. The response includes the planet name, the house number, and a detailed report on the individual's personality traits, strengths, weaknesses, and potential challenges.
POSThttps://json.astrologyapi.com/v1/general_house_report/tropical/:planetName

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Path parameters

planetNamestringrequired

Planet Name, eg: sun, moon

  • sun
  • moon
  • mars
  • mercury
  • jupiter
  • venus
  • saturn

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/general_house_report/tropical/sun' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data — no API key needed

{
  "planet_name": "SUN",
  "house": 3,
  "report": "Knowledge is important to you and you chase as much of it as possible. You enjoy passing on the knowledge you have gained. Although you are probably very open to new ideas, there yet may be the desire for scientific proof before anything can be believed. Your mind enjoys creating and it is thorough and self-reliant. Pride and intellectual domination may be something you need to work on, especially intellectual pride. Patience may also need developing. Misunderstandings can occur with siblings or neighbors due to your belief that you are always or mostly right. You have a strong desire to learn and this may take you on many short journeys. You need to communicate and there may be writing or speaking ability."
}